Skip to main content
`Ctrl`+`K`

# MatRestoreLocalSubMatrix

Restores a reference to a submatrix specified in local numbering obtained with `MatGetLocalSubMatrix()`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatRestoreLocalSubMatrix(Mat mat, IS isrow, IS iscol, Mat *submat)

Not Collective

## Input Parameters

- mat - matrix to extract local submatrix from

- isrow - local row indices for submatrix

- iscol - local column indices for submatrix

- submat - the submatrix

## See Also

Matrices, `Mat`, `MatGetLocalSubMatrix()`

## Level

intermediate

## Location

src/mat/interface/matrix.c

## Examples

src/ts/tutorials/ex14.c
src/snes/tutorials/ex28.c

## Implementations

MatRestoreLocalSubMatrix_Nest() in src/mat/impls/nest/matnest.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages